
Redmine - Defect #18864

troubles in email notifications  (Redmine 2.5.2.stable, russian text)

2015-01-16 11:04 - Алексей Городецкий

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

Change notification tasks in Redmine by e-mail come with unreadable subject of the message if the subject contains more than 167

(approximately) Russian letters, as in this report, due to incorrect partition message subject to multiple lines no longer than

approximately 1000 characters 7-bit encoding, and with the transfer of the middle of the encoded character (each Russian letter is

encoded here 6 bytes).

Tested on Mozilla Thunderbird and some more e-mail client (redmine 1.3.2)

After updating redmine (2.5.2) played only if there are no spaces in the subject, as on the gaps redmine now additionally line breaks

within an acceptable field.

Уведомления об изменении задач в Redmine по e-mail приходят с нечитаемой темой сообщения, если в теме задачи

содержится более 167 (примерно) русских букв, как в этом сообщении, из-за некорректного разбиения темы сообщения на

несколько строк длиной не более примерно 1000 символов 7-битной кодировки, причём с переносом посреди

закодированного символа (каждая русская буква кодируется здесь 6 байтами).

Проверено на Mozilla Thunderbird и каком-то ещё почтовом клиенте. (redmine 1.3.2)

После обновления redmine воспроизводится только если в теме нет пробелов, так как по пробелам redmine (2.5.2) теперь

дополнительно переносит строку в допустимых местах.

Related issues:

Related to Redmine - Defect #5784: Mail subject is cutting on MS Exchange 200... Closed 2010-06-30

History

#1 - 2015-01-16 11:13 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #16859.

#2 - 2015-01-16 11:13 - Toshi MARUYAMA

- Is duplicate of Defect #16859: rdm-mailhandler: subject corruption added

#3 - 2015-01-16 11:24 - Toshi MARUYAMA

- Status changed from Closed to New

- Resolution deleted (Duplicate)

Sorry, this issue is for sending mail

#4 - 2015-01-16 11:25 - Toshi MARUYAMA

- Is duplicate of deleted (Defect #16859: rdm-mailhandler: subject corruption)

#5 - 2015-01-16 11:25 - Toshi MARUYAMA

- Related to Defect #16859: rdm-mailhandler: subject corruption added

#6 - 2015-01-16 11:31 - Toshi MARUYAMA

- Status changed from New to Needs feedback

2025-05-17 1/3

https://www.redmine.org/issues/16859


See Submissions and #5784#note-2.

#7 - 2015-01-16 11:32 - Toshi MARUYAMA

- Related to Defect #5784: Mail subject is cutting on MS Exchange 2007, 2010 after 256 character. (RFC2047) added

#8 - 2015-01-16 11:32 - Toshi MARUYAMA

And give us examples.

#9 - 2015-01-18 21:32 - Имя Фамилия

At least one of the following six examples of subject reproduce error:

zzzzzzабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгаб

вгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгаб

вгабвга

zzzzzабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабв

габвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабв

габвгаб

zzzzабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвг

абвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвг

абвгабв

zzzабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвга

бвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвга

бвгабвг

zzабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгаб

вгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгаб

вгабвга

zабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгаб

вгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгабвгаб

вгабвгаб

Example number depends on the version redmine.

#10 - 2015-01-19 08:16 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

diff --git a/test/unit/mailer_test.rb b/test/unit/mailer_test.rb

--- a/test/unit/mailer_test.rb

+++ b/test/unit/mailer_test.rb

@@ -1,3 +1,5 @@

+# encoding: utf-8

+#

 # Redmine - project management software

 # Copyright (C) 2006-2015  Jean-Philippe Lang

 #

@@ -425,6 +427,16 @@ class MailerTest < ActiveSupport::TestCa

     assert_mail_body_match '(Private notes)', last_email

   end

+  def test_issue_subject

+    ActionMailer::Base.deliveries.clear

+    subject = "日本語１２日本語３４" * 26

+    issue = Issue.generate!(:subject => subject)

+    mail = last_email

+    Mailer.deliver_issue_add(issue)

+    puts mail.subject

+    puts mail.subject.size

+  end

+

   def test_issue_edit_with_relation_should_notify_users_who_can_see_the_related_issue

     issue = Issue.generate!

     issue.init_journal(User.find(1))

 
$ ruby test/unit/mailer_test.rb -n test_issue_subject

Run options: -n test_issue_subject --seed 985

# Running:

E
Finished in 1.078041s, 0.9276 runs/s, 0.0000 assertions/s.

  1) Error:

MailerTest#test_issue_subject:

ActiveRecord::RecordInvalid: Validation failed: Subject is too long (maximum is 255 characters)

    test/object_helpers.rb:95:in `generate!'

    test/unit/mailer_test.rb:433:in `test_issue_subject'

1 runs, 0 assertions, 0 failures, 1 errors, 0 skips

 http://www.redmine.org/projects/redmine/repository/entry/tags/2.5.3/app/views/issues/_form.html.erb#L21

:maxlength => 255

 http://www.redmine.org/projects/redmine/repository/entry/tags/2.5.3/app/models/issue.rb#L69

validates_length_of :subject, :maximum => 255

#11 - 2015-01-19 08:20 - Toshi MARUYAMA

I recommend you to use Ruby >= 1.9 if you use Ruby 1.8.7.

#12 - 2015-02-03 16:21 - Toshi MARUYAMA

- Related to deleted (Defect #16859: rdm-mailhandler: subject corruption)
